FOX16_HtmlText Class Reference

`#include <fox16_htmltext.hpp>`

Inheritance diagram for FOX16_HtmlText:

## Public Types

enum | { FLAGS_NO_WORDWRAP = 0x00080000 }

## Public Member Functions

| FOX16_HtmlText (FXComposite *p, const FXString &text, FXuint opts=0, FXint x=0, FXint y=0, FXint w=0, FXint h=0)
virtual FXint | getContentHeight ()
virtual FXint | getContentWidth ()
FXString | getText () const
| Get the text for this label.
void | layout ()
void | makePositionVisible (FXint pos)
long | onPaint (FXObject *, FXSelector, void *)
void | setMinimumWidth (int i)
void | setText (const FXString &text)
| Set the text for this label.
| ~FOX16_HtmlText ()

## Protected Member Functions

void | calcDefaultDims ()
| FOX16_HtmlText ()
void | updateHtml ()

## Protected Attributes

FXint | barwidth
FXint | m_defaultHeight
FXint | m_defaultWidth
bool | m_haveDefaultDims
FOX16_HtmlCtx * | m_htmlCtx
int | m_maxDefaultWidth
int | m_minWidth
FXString | m_text
FXint | marginbottom
FXint | marginleft
FXint | marginright
FXint | margintop

## Detailed Description

Definition at line 22 of file fox16_htmltext.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
FLAGS_NO_WORDWRAP | don't wrap the text. If this flag is given as parameter to the constructor then you'll have to insert line-breaks into the text yourself.

Definition at line 27 of file fox16_htmltext.hpp.

## Constructor & Destructor Documentation

## FOX16_HtmlText() [1/2]

FOX16_HtmlText | ( | FXComposite * | p,
|  | const FXString & | text,
|  | FXuint | opts = 0,
|  | FXint | x = 0,
|  | FXint | y = 0,
|  | FXint | w = 0,
|  | FXint | h = 0 )

## ~FOX16_HtmlText()

~FOX16_HtmlText | ( |  | ) |

## FOX16_HtmlText() [2/2]

FOX16_HtmlText | ( |  | ) |

protected

## Member Function Documentation

## calcDefaultDims()

void calcDefaultDims | ( |  | ) |

protected

## getContentHeight()

virtual FXint getContentHeight | ( |  | ) |

virtual

## getContentWidth()

virtual FXint getContentWidth | ( |  | ) |

virtual

## getText()

FXString getText | ( |  | ) | const

inline

Get the text for this label.

Definition at line 43 of file fox16_htmltext.hpp.

References m_text.

## layout()

void layout | ( |  | ) |

## makePositionVisible()

void makePositionVisible | ( | FXint | pos | ) |

## onPaint()

long onPaint | ( | FXObject * | ,
|  | FXSelector | ,
|  | void * | )

## setMinimumWidth()

void setMinimumWidth | ( | int | i | ) |

inline

Definition at line 49 of file fox16_htmltext.hpp.

References m_minWidth.

## setText()

void setText | ( | const FXString & | text | ) |

Set the text for this label.

## updateHtml()

void updateHtml | ( |  | ) |

protected

## Field Documentation

## barwidth

FXint barwidth

protected

Definition at line 71 of file fox16_htmltext.hpp.

## m_defaultHeight

FXint m_defaultHeight

protected

Definition at line 65 of file fox16_htmltext.hpp.

## m_defaultWidth

FXint m_defaultWidth

protected

Definition at line 64 of file fox16_htmltext.hpp.

## m_haveDefaultDims

bool m_haveDefaultDims

protected

Definition at line 63 of file fox16_htmltext.hpp.

## m_htmlCtx

FOX16_HtmlCtx* m_htmlCtx

protected

Definition at line 58 of file fox16_htmltext.hpp.

## m_maxDefaultWidth

int m_maxDefaultWidth

protected

Definition at line 61 of file fox16_htmltext.hpp.

## m_minWidth

int m_minWidth

protected

Definition at line 60 of file fox16_htmltext.hpp.

Referenced by setMinimumWidth().

## m_text

FXString m_text

protected

Definition at line 59 of file fox16_htmltext.hpp.

Referenced by getText().

## marginbottom

FXint marginbottom

protected

Definition at line 68 of file fox16_htmltext.hpp.

## marginleft

FXint marginleft

protected

Definition at line 69 of file fox16_htmltext.hpp.

## marginright

FXint marginright

protected

Definition at line 70 of file fox16_htmltext.hpp.

## margintop

FXint margintop

protected

Definition at line 67 of file fox16_htmltext.hpp.

The documentation for this class was generated from the following file:

- fox16_htmltext.hpp